#include <bits/stdc++.h>
#include<iostream>
using namespace std;

int main ()
{
  ios_base::sync_with_stdio(false);

  string a[3];

  for (int i=0;i<3;i++) cin >> a[i];

  sort(a,a+3);

  for (int i=2;i>=0;i--) cout << a[i];

  return 0;
}